Allowing dot in project identifier
Status: Closed Start date: 2010-08-31
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

| wanted to know why is dot restricted in project identifier field. Here in our company we use dot syntax for our projects identification
and repository names and because your auto repository creation uses project identifier as repository name, it becomes an issue for
us.

Related issues:

Related to Redmine - Feature #7493: Allowing underline "_" in project identifier Closed 2011-01-30
Related to Redmine - Feature #1363: Allow underscores in project identifiers Closed 2008-06-03
History

#1 - 2010-09-05 23:42 - Eric Davis

| think dot should be allowed. Anyone have a reason why allowing dot could be bad?

#2 - 2010-10-14 13:30 - Ehsan Afzali

- Assignee set to Eric Davis

I think no one has any reason! Could please handle this Eric? theres no activies on this issue about a month.
#3 - 2010-10-14 19:18 - Felix Schafer
Eric Davis wrote:

Anyone have a reason why allowing dot could be bad?

| can think of nothing.

#4 - 2010-10-16 01:31 - Eric Davis
- Status changed from New to Closed
- Assignee deleted (Eric Davis)

- Resolution set to Wont fix

Sorry, it turns out this won't work due to the routing. Example, identifier - "test.123" gets this error:
ActionController::RoutingError (No route matches "/projects/settings/test.123" with {:method=>:get}):

123 is being used as the format option, which is invalid.

#5 - 2010-10-16 01:51 - Toshi MARUYAMA

Please see a following link.

Getting around dots in “pretty urls”
http:/stackoverflow.com/questions/1383950

Redmine use it at source:tags/1.0.2/config/routes.rb#l 261

#6 - 2010-10-16 12:10 - Ehsan Afzali
- Status changed from Closed to Reopened

- Assignee set to Eric Davis
http://stackoverflow.com/questions/1383950
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.0.2/config/routes.rb#L261

Toshi MARUYAMA wrote:

Please see a following link.

Getting around dots in “pretty urls”
http://stackoverflow.com/questions/1383950

Redmine use it at source:tags/1.0.2/config/routes.rb#L 261

This how you handle the repository explorer because the folders in repository may contains dot

#7 - 2010-10-17 19:10 - Eric Davis
- Status changed from Reopened to Closed
- Assignee deleted (Eric Davis)
Ehsan Afzali wrote:
This how you handle the repository explorer because the folders in repository may contains dot
The repository view is different than the projects because projects uses the format option as part of it's rest API (format = xml for "project.xml). If

someone wants to submit a patch for this that includes full integration tests for browsing projects with a dot identifier (including different formats for the
REST API), then we can see about including it.
